<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hssf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hssf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hssf.usermodel" class="title">Uses of Package<br>org.apache.poi.hssf.usermodel
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel</a>
                    </td>
                    <td class="colLast">
                        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel.helpers">org.apache.poi.hssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.converter">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFCell.html#org.apache.poi.hssf.converter">HSSFCell</a>
                        <div class="block">High level representation of a cell in a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFCellStyle.html#org.apache.poi.hssf.converter">HSSFCellStyle</a>
                        <div class="block">High level representation of the style of a cell in a sheet of a workbook.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFDataFormatter.html#org.apache.poi.hssf.converter">HSSFDataFormatter</a>
                        <div class="block">HSSFDataFormatter contains methods for formatting the value stored in an
                            HSSFCell.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFFont.html#org.apache.poi.hssf.converter">HSSFFont</a>
                        <div class="block">Represents a Font used in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFRow.html#org.apache.poi.hssf.converter">HSSFRow</a>
                        <div class="block">High level representation of a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html#org.apache.poi.hssf.converter">HSSFSheet</a>
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.converter">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.eventusermodel">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.extractor">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFAnchor.html#org.apache.poi.hssf.model">HSSFAnchor</a>
                        <div class="block">An anchor is what specifics the position of a shape within a client object
                            or within another containing shape.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.model">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFRichTextString.html#org.apache.poi.hssf.record">HSSFRichTextString</a>
                        <div class="block">Rich text unicode string.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html#org.apache.poi.hssf.record">HSSFSheet</a>
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/DVConstraint.html#org.apache.poi.hssf.usermodel">DVConstraint</a>
                        <div class="block">Data Validation Constraint</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/EscherGraphics.html#org.apache.poi.hssf.usermodel">EscherGraphics</a>
                        <div class="block">Translates Graphics calls into escher calls.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/FontDetails.html#org.apache.poi.hssf.usermodel">FontDetails</a>
                        <div class="block">Stores width and height details about a font.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HeaderFooter.html#org.apache.poi.hssf.usermodel">HeaderFooter</a>
                        <div class="block">Common class for <a
                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html"
                                title="class in org.apache.poi.hssf.usermodel"><code>HSSFHeader</code></a> and <a
                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFFooter.html"
                                title="class in org.apache.poi.hssf.usermodel"><code>HSSFFooter</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFAnchor.html#org.apache.poi.hssf.usermodel">HSSFAnchor</a>
                        <div class="block">An anchor is what specifics the position of a shape within a client object
                            or within another containing shape.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFAutoFilter.html#org.apache.poi.hssf.usermodel">HSSFAutoFilter</a>
                        <div class="block">Represents autofiltering for the specified worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFBorderFormatting.html#org.apache.poi.hssf.usermodel">HSSFBorderFormatting</a>
                        <div class="block">High level representation for Border Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFCell.html#org.apache.poi.hssf.usermodel">HSSFCell</a>
                        <div class="block">High level representation of a cell in a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFCellStyle.html#org.apache.poi.hssf.usermodel">HSSFCellStyle</a>
                        <div class="block">High level representation of the style of a cell in a sheet of a workbook.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFChart.html#org.apache.poi.hssf.usermodel">HSSFChart</a>
                        <div class="block">Has methods for construction of a chart object.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFChart.HSSFChartType.html#org.apache.poi.hssf.usermodel">HSSFChart.HSSFChartType</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFChart.HSSFSeries.html#org.apache.poi.hssf.usermodel">HSSFChart.HSSFSeries</a>
                        <div class="block">A series in a chart</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFChildAnchor.html#org.apache.poi.hssf.usermodel">HSSFChildAnchor</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFClientAnchor.html#org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>
                        <div class="block">A client anchor is attached to an excel worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFColorScaleFormatting.html#org.apache.poi.hssf.usermodel">HSSFColorScaleFormatting</a>
                        <div class="block">High level representation for Color Scale / Color Gradient
                            Formatting component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFComment.html#org.apache.poi.hssf.usermodel">HSSFComment</a>
                        <div class="block">Represents a cell comment - a sticky note associated with a cell.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFConditionalFormatting.html#org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a>
                        <div class="block">HSSFConditionalFormatting class encapsulates all settings of Conditional
                            Formatting.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFConditionalFormattingRule.html#org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>
                        <div class="block">High level representation of Conditional Formatting Rule.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFConditionalFormattingThreshold.html#org.apache.poi.hssf.usermodel">HSSFConditionalFormattingThreshold</a>
                        <div class="block">High level representation for Icon / Multi-State / Databar /
                            Colour Scale change thresholds
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFCreationHelper.html#org.apache.poi.hssf.usermodel">HSSFCreationHelper</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFDataBarFormatting.html#org.apache.poi.hssf.usermodel">HSSFDataBarFormatting</a>
                        <div class="block">High level representation for DataBar / Data-Bar Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFDataFormat.html#org.apache.poi.hssf.usermodel">HSSFDataFormat</a>
                        <div class="block">Identifies both built-in and user defined formats within a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFDataValidation.html#org.apache.poi.hssf.usermodel">HSSFDataValidation</a>
                        <div class="block">Utility class for creating data validation cells</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFEvaluationWorkbook.html#org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a>
                        <div class="block">Internal POI use only</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFExtendedColor.html#org.apache.poi.hssf.usermodel">HSSFExtendedColor</a>
                        <div class="block">The HSSF file format normally stores Color information in the
                            Palette (see PaletteRecord), but for a few cases (eg Conditional
                            Formatting, Sheet Extensions), this XSSF-style color record
                            can be used.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFFont.html#org.apache.poi.hssf.usermodel">HSSFFont</a>
                        <div class="block">Represents a Font used in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFFontFormatting.html#org.apache.poi.hssf.usermodel">HSSFFontFormatting</a>
                        <div class="block">High level representation for Font Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFFooter.html#org.apache.poi.hssf.usermodel">HSSFFooter</a>
                        <div class="block">Class to read and manipulate the footer.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFFormulaEvaluator.html#org.apache.poi.hssf.usermodel">HSSFFormulaEvaluator</a>
                        <div class="block">Evaluates formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFHeader.html#org.apache.poi.hssf.usermodel">HSSFHeader</a>
                        <div class="block">Class to read and manipulate the header.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFHyperlink.html#org.apache.poi.hssf.usermodel">HSSFHyperlink</a>
                        <div class="block">Represents an Excel hyperlink.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFIconMultiStateFormatting.html#org.apache.poi.hssf.usermodel">HSSFIconMultiStateFormatting</a>
                        <div class="block">High level representation for Icon / Multi-State Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFName.html#org.apache.poi.hssf.usermodel">HSSFName</a>
                        <div class="block">High Level Representation of a 'defined name' which could be a 'built-in'
                            name,
                            'named range' or name of a user defined function.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFObjectData.html#org.apache.poi.hssf.usermodel">HSSFObjectData</a>
                        <div class="block">Represents binary object (i.e.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPalette.html#org.apache.poi.hssf.usermodel">HSSFPalette</a>
                        <div class="block">Represents a workbook color palette.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPatriarch.html#org.apache.poi.hssf.usermodel">HSSFPatriarch</a>
                        <div class="block">The patriarch is the toplevel container for shapes in a sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPatternFormatting.html#org.apache.poi.hssf.usermodel">HSSFPatternFormatting</a>
                        <div class="block">High level representation for Conditional Formatting settings</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPicture.html#org.apache.poi.hssf.usermodel">HSSFPicture</a>
                        <div class="block">Represents a escher picture.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPictureData.html#org.apache.poi.hssf.usermodel">HSSFPictureData</a>
                        <div class="block">Represents binary data stored in the file.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPolygon.html#org.apache.poi.hssf.usermodel">HSSFPolygon</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFPrintSetup.html#org.apache.poi.hssf.usermodel">HSSFPrintSetup</a>
                        <div class="block">Used to modify the print setup.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFRichTextString.html#org.apache.poi.hssf.usermodel">HSSFRichTextString</a>
                        <div class="block">Rich text unicode string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFRow.html#org.apache.poi.hssf.usermodel">HSSFRow</a>
                        <div class="block">High level representation of a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFShape.html#org.apache.poi.hssf.usermodel">HSSFShape</a>
                        <div class="block">An abstract shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFShapeContainer.html#org.apache.poi.hssf.usermodel">HSSFShapeContainer</a>
                        <div class="block">An interface that indicates whether a class can contain children.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFShapeGroup.html#org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>
                        <div class="block">A shape group may contain other shapes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html#org.apache.poi.hssf.usermodel">HSSFSheet</a>
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheetConditionalFormatting.html#org.apache.poi.hssf.usermodel">HSSFSheetConditionalFormatting</a>
                        <div class="block">The 'Conditional Formatting' facet of <tt>HSSFSheet</tt></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSimpleShape.html#org.apache.poi.hssf.usermodel">HSSFSimpleShape</a>
                        <div class="block">Represents a simple shape such as a line, rectangle or oval.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFTextbox.html#org.apache.poi.hssf.usermodel">HSSFTextbox</a>
                        <div class="block">A textbox is a shape that may hold a rich text string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.usermodel">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html#org.apache.poi.hssf.usermodel.helpers">HSSFSheet</a>
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFSheet.html#org.apache.poi.hssf.util">HSSFSheet</a>
                        <div class="block">High level representation of a worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hssf/usermodel/class-use/HSSFWorkbook.html#org.apache.poi.hssf.util">HSSFWorkbook</a>
                        <div class="block">High level representation of a workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
